"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RowContainer = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _mediaQuery = require("../../shared/media-query/media-query.js");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const RowContainer = _styledComponents.default.div`
  display: flex;
  flex-wrap: wrap;
  max-width: 1440px;
  gap: ${({
  theme
}) => theme.tokens.flexbox.XS};

  @media ${_mediaQuery.MediaQueries.SM} {
    gap: ${({
  theme
}) => theme.tokens.flexbox.S};
  }

  @media ${_mediaQuery.MediaQueries.MD} {
    gap: ${({
  theme
}) => theme.tokens.flexbox.M};
  }

  @media ${_mediaQuery.MediaQueries.LG} {
    gap: ${({
  theme
}) => theme.tokens.flexbox.M};
  }

  ${({
  center
}) => center && (0, _styledComponents.css)`
      margin: 0 auto;
    `}

  ${({
  fullHeight
}) => fullHeight && (0, _styledComponents.css)`
      height: 100%;
    `}

  ${({
  fullWidth
}) => !fullWidth && (0, _styledComponents.css)`
      padding-left: ${({
  theme
}) => theme.tokens.flexbox.S};
      padding-right: ${({
  theme
}) => theme.tokens.flexbox.S};

      @media ${_mediaQuery.MediaQueries.SM} {
        padding-left: ${({
  theme
}) => theme.tokens.flexbox.L};
        padding-right: ${({
  theme
}) => theme.tokens.flexbox.L};
      }

      @media ${_mediaQuery.MediaQueries.MD} {
        padding-left: ${({
  theme
}) => theme.tokens.flexbox['2XL']};
        padding-right: ${({
  theme
}) => theme.tokens.flexbox['2XL']};
      }

      @media ${_mediaQuery.MediaQueries.LG} {
        padding-left: ${({
  theme
}) => theme.tokens.flexbox['3XL']};
        padding-right: ${({
  theme
}) => theme.tokens.flexbox['3XL']};
      }
    `}
`;
exports.RowContainer = RowContainer;