"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ScreenSizes = exports.MediaQueries = void 0;
const ScreenSizes = {
  LG: {
    min: 1440
  },
  MD: {
    max: 1439,
    min: 768
  },
  SM: {
    max: 767,
    min: 414
  },
  XS: {
    max: 413
  }
};
exports.ScreenSizes = ScreenSizes;
const MediaQueries = {
  LG: `(min-width: ${ScreenSizes.LG.min}px)`,
  MD: `(min-width: ${ScreenSizes.MD.min}px) and (max-width: ${ScreenSizes.MD.max}px)`,
  SM: `(min-width: ${ScreenSizes.SM.min}px) and (max-width: ${ScreenSizes.SM.max}px)`,
  XS: `(max-width: ${ScreenSizes.XS.max}px)`
};
exports.MediaQueries = MediaQueries;